> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Task

> Completes the task with the values given in the body



## OpenAPI

````yaml /openapi/product/task-center-api.yaml post /api/queues/v1/{queueId}/tasks/{taskId}/complete
openapi: 3.0.3
info:
  title: Domo Task Center API
  description: >
    Task Center allows you to organize manual tasks into different queues of
    work and control who can access them. They are often used in concert with
    Workflows.


    For more background on Task Center, please see the Knowledge Base.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Task Center API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/queues/v1/{queueId}/tasks/{taskId}/complete:
    post:
      tags:
        - Task Center API (Product)
      summary: Complete Task
      description: Completes the task with the values given in the body
      operationId: completeTask
      parameters:
        - name: queueId
          in: path
          required: true
          description: The ID of the queue
          schema:
            type: string
          example: 168ecd84-4a15-45f6-89d9-021fbbce0481
        - name: taskId
          in: path
          required: true
          description: The ID of the task
          schema:
            type: string
          example: 24OCT23_CI27D1
        - name: version
          in: query
          required: false
          description: Task version number
          schema:
            type: string
          example: '1'
      requestBody:
        required: true
        description: >-
          The request body accepts an object containing key value pairs for each
          input property of the task in question.
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              Suggested_Action_Items: >
                1. Investigate assembly line for misalignment issues near the
                hinge area

                2. Inspect and replace seals in the actuator's main chamber to
                prevent hydraulic leaks

                3. Address the issue of missing or loose fasteners with the
                supplier
              Send_to_QA_Team: true
      responses:
        '200':
          description: The completed task
          content:
            application/json:
              schema:
                type: object
        '401':
          description: Unauthorized - Invalid or missing authentication token
        '404':
          description: Task not found
components:
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````